Bug 122071 - up2date hangs "Testing package set / solving RPM inter-dependencies"
up2date hangs "Testing package set / solving RPM inter-dependencies"
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-04-30 03:03 EDT by Michael Opdenacker
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:38:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Opdenacker 2004-04-30 03:03:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040422

Description of problem:
Hello,

up2date is very difficult to use.

Roughly 4 times out of 5, it hangs after you select
the packages to upgrade, when the below dialog 
("Progress Dialog" window title) is open:

"Testing package set / solving RPM inter-dependencies"

Here are the corresponding running processes when
this happens:

mike     10677  0.0  1.0 13040 5660 ?        SN   08:49   0:00 up2date
root     10678  0.0  0.2  5024 1168 ?        SN   08:49   0:00
/usr/sbin/userhelper -w up2date
root     10688  1.2  6.8 50476 35496 ?       SN   08:50   0:09
/usr/bin/python -u /usr/sbin/up2date

I haven't managed yet to figure out when this
happens and when this doesn't. However, this seems
to be more likely to happen when you select a great
number of packages (including all packages of course).

Other users have already reported this through the
test mailing list.

If you face this too, please share your experience through
this ticket too!

As fas as I am concerned, this is a serious issue.
I will have to use apt-get if it is not solved.

Cheers,

Michael.


Version-Release number of selected component (if applicable):
up2date-4.3.17-1

How reproducible:
Sometimes

Steps to Reproduce:
1. Run up2date from the user panel applet
2. Select the standard update channel
3. Select packages to upgrade (the more you put,
   the better... selecting "all" is recommended)
    

Additional info:
Comment 1 Michael Opdenacker 2004-04-30 03:48:55 EDT
As I said, this issue is all the more likely to happen
as many packages are selected.

As a consequence, a workaround for users is to select
packages one by one, or at least minimum groups
of package. That takes time, but at least
you can keep your system up to date.

:-)

Michael.
Comment 2 Michael Opdenacker 2004-04-30 04:53:13 EDT
Actually, it seems to be package dependent:
I'm facing this issue right now trying to upgrade
only one package:

perl-XML-Twig-3.09-3 to 3.13-4

I guess this package has more complex dependencies
that up2date has trouble handling.

This explains why the more packages you try to update
at once, the more chances you have to include a "difficult-to-handle"
one. 

I hope this helps...

:-)

Michael
Comment 3 Michael Opdenacker 2004-04-30 05:14:05 EDT
Hello,

I've got more details about what's wrong with this package:

I downloaded it by hand from
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/
and then ran:

rpm -Uvh perl-XML-Twig-3.13-4.noarch.rpm
warning: perl-XML-Twig-3.13-4.noarch.rpm: V3 DSA signature: NOKEY, key
ID 30c9ecf8
error: Failed dependencies:
        perl(XML::XPath) is needed by perl-XML-Twig-3.13-4

Looks bad, it should be a dependency to a package, not
to a perl module.

I'll file a separate bug on this package.

Anyway, as rpm correctly reports and error there,
this is still a bug in up2date (or perhaps in yum?).
It should display this error too!
Comment 4 Koert Kuipers 2004-11-07 10:30:54 EST
Hello,
I have the same problems. My GUI version of up2date hangs. The command
line version crashes:

[root@KOERT-DESKTOP ~]# up2date --dry-run
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror: http://mirrors.kernel.org/fedora/core/development/x86_64/

Fetching Obsoletes list for channel: development...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
Canna-libs                              3.7p3          8             
   x86_64
MyODBC                                  2.50.39        20            
   x86_64
arts                                    1.3.1          3             
   x86_64
authconfig                              4.6.5          5             
   x86_64
authconfig-gtk                          4.6.5          5             
   x86_64
autofs                                  4.1.3          41            
   x86_64
automake                                1.9.3          1             
   noarch
binutils                                2.15.92.0.2    6             
   x86_64
checkpolicy                             1.18.1         1             
   x86_64
coreutils                               5.2.1          32            
   x86_64
cpio                                    2.5            9             
   x86_64
cpp                                     3.4.2          8             
   x86_64
cups                                    1.1.22         1             
   x86_64
cups-libs                               1.1.22         1             
   x86_64
cyrus-sasl                              2.1.20         1             
   i386
cyrus-sasl                              2.1.20         1             
   x86_64
cyrus-sasl-devel                        2.1.20         1             
   x86_64
cyrus-sasl-md5                          2.1.20         1             
   x86_64
cyrus-sasl-plain                        2.1.20         1             
   x86_64
dbus                                    0.22           11            
   i386
dbus                                    0.22           11            
   x86_64
dbus-glib                               0.22           11            
   i386
dbus-glib                               0.22           11            
   x86_64
dbus-python                             0.22           11            
   x86_64
dbus-x11                                0.22           11            
   x86_64
desktop-printing                        0.17           4             
   x86_64
diskdumputils                           0.6.2          0             
   x86_64
eject                                   2.0.13         12            
   x86_64
elfutils                                0.97           2             
   x86_64
elfutils-libelf                         0.97           2             
   x86_64
emacs                                   21.3           18            
   x86_64
emacs-common                            21.3           18            
   x86_64
emacs-leim                              21.3           18            
   x86_64
eog                                     2.8.1          1             
   x86_64
file-roller                             2.8.3          1             
   x86_64
firefox                                 0.99           1.0RC1.3      
   x86_64
gaim                                    1.0.2          1             
   x86_64
gamin                                   0.0.16         1             
   x86_64
gawk                                    3.1.3          10            
   x86_64
gcc                                     3.4.2          8             
   x86_64
gcc-c++                                 3.4.2          8             
   x86_64
gcc-g77                                 3.4.2          8             
   x86_64
gcc-java                                3.4.2          8             
   x86_64
gd                                      2.0.32         1             
   x86_64
gdb                                     6.1post        1.20040607.44 
   x86_64
gedit                                   2.8.1          2             
   x86_64
gimp                                    2.2            0.0.pre1.1    
   x86_64
gimp-gap                                2.0.2          3             
   x86_64
glibc                                   2.3.3          75            
   i686
glibc                                   2.3.3          75            
   x86_64
glibc-common                            2.3.3          75            
   x86_64
glibc-devel                             2.3.3          75            
   x86_64
glibc-headers                           2.3.3          75            
   x86_64
gnome-audio                             2.0.0          2             
   noarch
gnome-media                             2.8.0          4             
   x86_64
gnome-panel                             2.8.1          4             
   x86_64
gnome-session                           2.8.0          6             
   x86_64
gnome-system-monitor                    2.8.0          1             
   x86_64
gnome-terminal                          2.8.0          2             
   x86_64
gnome-user-docs                         2.8.1          2             
   noarch
gnome-utils                             2.8.1          1             
   x86_64
gnopernicus                             0.9.14         1             
   x86_64
gnupg                                   1.2.6          2             
   x86_64
gpdf                                    2.8.0          6             
   x86_64
grep                                    2.5.1          35            
   x86_64
gstreamer                               0.8.7          5             
   i386
gstreamer                               0.8.7          5             
   x86_64
gstreamer-plugins                       0.8.5          3             
   x86_64
gthumb                                  2.6.0.1        1             
   x86_64
gtk2                                    2.4.13         11            
   i386
gtk2                                    2.4.13         11            
   x86_64
hotplug                                 2004_04_01     9             
   x86_64
initscripts                             7.93.4         1             
   x86_64
ipsec-tools                             0.3.3          3             
   x86_64
iputils                                 20020927       18            
   x86_64
jwhois                                  3.2.2          7             
   x86_64
k3b                                     0.11.17        1             
   x86_64
kdelibs                                 3.3.1          4             
   x86_64
krb5-devel                              1.3.5          1             
   x86_64
krb5-libs                               1.3.5          1             
   i386
krb5-libs                               1.3.5          1             
   x86_64
krb5-workstation                        1.3.5          1             
   x86_64
libf2c                                  3.4.2          8             
   x86_64
libgcc                                  3.4.2          8             
   i386
libgcc                                  3.4.2          8             
   x86_64
libgcj                                  3.4.2          8             
   x86_64
libgcj-devel                            3.4.2          8             
   x86_64
libgnome                                2.8.0          3             
   i386
libgnome                                2.8.0          3             
   x86_64
libgnomeprintui22                       2.8.0          2             
   x86_64
librsvg2                                2.8.1          2             
   x86_64
libselinux                              1.18.1         4             
   i386
libselinux                              1.18.1         4             
   x86_64
libselinux-devel                        1.18.1         4             
   x86_64
libsepol                                1.2.1          1             
   x86_64
libstdc++                               3.4.2          8             
   i386
libstdc++                               3.4.2          8             
   x86_64
libstdc++-devel                         3.4.2          8             
   x86_64
libtool                                 1.5.10         1             
   x86_64
libtool-libs                            1.5.10         1             
   x86_64
libuser                                 0.52.6         1             
   x86_64
libuser-devel                           0.52.6         1             
   x86_64
libwmf                                  0.2.8.3        6             
   x86_64
libxml2                                 2.6.15         1             
   i386
libxml2                                 2.6.15         1             
   x86_64
libxml2-devel                           2.6.15         1             
   x86_64
libxml2-python                          2.6.15         1             
   x86_64
lockdev                                 1.0.1          4             
   x86_64
lockdev-devel                           1.0.1          4             
   x86_64
mailx                                   8.1.1          37            
   x86_64
minicom                                 2.00.0         20            
   x86_64
mod_auth_mysql                          2.6.1          2             
   x86_64
mozilla-nspr                            1.7.3          19            
   x86_64
mozilla-nss                             1.7.3          19            
   x86_64
mysql                                   4.1.7          3             
   x86_64
mysql-bench                             4.1.7          3             
   x86_64
mysql-devel                             4.1.7          3             
   x86_64
mysql-server                            4.1.7          3             
   x86_64
nautilus-media                          0.8.1          4             
   x86_64
nc                                      1.10           23            
   x86_64
net-tools                               1.60           39            
   x86_64
netpbm                                  10.25          3             
   x86_64
netpbm-progs                            10.25          3             
   x86_64
nscd                                    2.3.3          75            
   x86_64
nss_ldap                                226            2             
   x86_64
pax                                     3.0            10            
   x86_64
policycoreutils                         1.18.1         1             
   x86_64
ppp                                     2.4.2          7             
   x86_64
procps                                  3.2.3          6             
   x86_64
python                                  2.4            0.b2.1        
   x86_64
python-devel                            2.4            0.b2.1        
   x86_64
rsh                                     0.17           24            
   x86_64
yelp                                    2.6.4          1             
   x86_64


Testing package set / solving RPM inter-dependencies...

Downloading headers to solve dependencies...
Traceback (most recent call last):#####
  File "/usr/sbin/up2date", line 1245, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1119, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 74, in run
    self.__dryRun()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 159, in
__dryRun
    self.percentCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 386, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 553, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 520, in
process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 307, in
__dependencies    msgCallback = self.msgCallback)
ValueError: unpack list of wrong size
 
Comment 5 John Thacker 2006-10-29 09:38:14 EST
Note that FC1 and FC2 are no longer supported even by Fedora Legacy, and FC3 and
FC4 are supported by Fedora Legacy only for security issues.  Please retest this
bug against a still supported version and retest.  If this still occurs on FC3
or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it occurs on RHEL, please change to that product
and the appropriate version.

Note that up2date has been replaced by pirut/pup for FC5 and FC6, the only
fully-supported versions of Fedora Core.  Please test pirut for software updates
and file bugs as appropriate.

Note You need to log in before you can comment on or make changes to this bug.